<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>net.sweblog</groupId>
        <artifactId>restproblem.parent</artifactId>
        <version>2.1-SNAPSHOT</version>
    </parent>

    <artifactId>restproblem.application</artifactId>

    <packaging>ear</packaging>

    <dependencies>
        <dependency>
            <groupId>net.sweblog</groupId>
            <artifactId>restproblem.boms.publicthridpartylibraries</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
            <type>pom</type>
        </dependency>

        <dependency>
            <groupId>net.sweblog</groupId>
            <artifactId>restproblem.common.resthelper</artifactId>
            <version>${project.version}</version>
        </dependency>


        <dependency>
            <groupId>net.sweblog</groupId>
            <artifactId>restproblem.frontend.rest</artifactId>
            <version>${project.version}</version>
            <type>war</type>
        </dependency>

        <dependency>
            <groupId>net.sweblog</groupId>
            <artifactId>restproblem.module.adapter.datamodel</artifactId>
            <version>${project.version}</version>
        </dependency>


        <dependency>
            <groupId>net.sweblog</groupId>
            <artifactId>restproblem.common.resthelper</artifactId>
            <version>${project.version}</version>
        </dependency>


        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>

        <dependency>
            <groupId>commons-collections</groupId>
            <artifactId>commons-collections</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>



        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-joda</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
        </dependency>

        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-jdk14</artifactId>
        </dependency>

        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>

    </dependencies>

    <build>
        <finalName>restproblem</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-ear-plugin</artifactId>
                <configuration>
                    <modules>

                        <jarModule>
                            <groupId>commons-collections</groupId>
                            <artifactId>commons-collections</artifactId>
                        </jarModule>

                        <jarModule>
                            <groupId>com.google.guava</groupId>
                            <artifactId>guava</artifactId>
                        </jarModule>

                        <jarModule>
                            <groupId>org.apache.commons</groupId>
                            <artifactId>commons-lang3</artifactId>
                        </jarModule>

                        <jarModule>
                            <groupId>joda-time</groupId>
                            <artifactId>joda-time</artifactId>
                        </jarModule>

                        <jarModule>
                            <groupId>com.fasterxml.jackson.core</groupId>
                            <artifactId>jackson-annotations</artifactId>
                        </jarModule>

                        <jarModule>
                            <groupId>com.fasterxml.jackson.core</groupId>
                            <artifactId>jackson-core</artifactId>
                        </jarModule>

                        <jarModule>
                            <groupId>com.fasterxml.jackson.datatype</groupId>
                            <artifactId>jackson-datatype-joda</artifactId>
                        </jarModule>

                        <jarModule>
                            <groupId>com.fasterxml.jackson.core</groupId>
                            <artifactId>jackson-databind</artifactId>
                        </jarModule>


                        <jarModule>
                            <groupId>org.slf4j</groupId>
                            <artifactId>slf4j-api</artifactId>
                        </jarModule>

                        <jarModule>
                            <groupId>org.slf4j</groupId>
                            <artifactId>slf4j-jdk14</artifactId>
                        </jarModule>

                        <webModule>
                            <groupId>net.sweblog</groupId>
                            <artifactId>restproblem.frontend.rest</artifactId>
                            <contextRoot>/rest</contextRoot>
                        </webModule>
                    </modules>
                    <version>6</version>
                    <defaultLibBundleDir>lib</defaultLibBundleDir>
                </configuration>
            </plugin>
        </plugins>
    </build>


</project>